Packages - Bug #1784

Can't update system
2018-05-03 02:05 AM - Anonymous

Status: fixed % Done: 0%
Priority: bug
Assignee: oaken-source
Category:
Description
Hi,
1. Procedure:

—_

1. Install parabola-systemd-cli-i686-complete-2017.11.14-19.54-alpha.iso on top of VirtualBox (learning phase before 'jump’ to
Parabola GNU/Linux.)

. system clock set to correct date/time.

2. Exit and reboot.
3. Upgrade packages: # no new config files
pacman -Syu

. Response:

Starting full system upgrade
Replace ath9k-htc-firmware with libre/linux-libre-firmware? [Y/n] y
Replace openfwwf with libre/linux-libre-firmware? [Y/n] y

Proceed with installation? [] y

. No alerts during upgrade...

(104/104) checking packages integrity

. Get this message at the end...

error: linux-libre-api-headers: signature from "User <email@example.org>" is unknown trust
:: File /var/cache/pacman/pkg/linux-libre-api-headers-4.15.2_gnu-1.2-i686.pkg.tar.xz is corrupted (invalid or corrupted package
(PGP signature)).

. Apply corrective actions:
. Update the known keys:

pacman-key --refresh-keys
pacman -Syu

. Same message as above:

Replace...
Replace...
error: ... is corrupted (invalid or corrupted package (PGP signature)).

. Second corrective action, manually upgrade keyring:

pacman -Sy archlinux-keyring && pacman -Su

. Same result:

error: linux-libre-api-headers: signature from "User <email@example.org>" is unknown trust
:: File /var/cache/pacman/pkg/linux-libre-api-headers-4.15.2_gnu-1.2-i686.pkg.tar.xz is corrupted (invalid or corrupted package
(PGP signature)).

. Third try, reset all keys:

rm -r /etc/pacman.d/gnupg
pacman-key --init

pacman-key --populate archlinux
pacman-key --populate parabola
pacman-key --refresh-keys

. same message:

Replace..
Replace...

. Clean cache, just in case:

pacman -Sc
pacman -Syu

. Same message...
1. Remove ".part' files
find /var/cache/pacman/pkg/ -iname "*.part" -exec rm {} \;
pacman -Syu
2. Same...
| don't know what else to do, any suggestions? Hardware and system clocks are ok,
Thanks.

N.B.: report already made in assist@lists.parabola.nu.

History

#1 - 2018-05-03 02:12 AM - Megver83

oaken-source did you build this package? looks like your i686 chroot was misconfigured (the makepkg.conf)

#2 - 2018-05-03 02:34 AM - Anonymous

Quote
oaken-source did you build this package? looks like your i686 chroot was misconfigured (the makepkg.conf)

Nop, I didn't build it. Do | have to edit makepkg.conf?

#3 - 2018-05-03 04:30 AM - lukeshu

- Assignee set to oaken-source

Megver83 was asking if oaken-source built the package, not if leoperezpulido built the package.
The .PKGINFO does say that oaken-source built the package; I'm assigning this issue to him.

I don't think that this is the 1686 chroot being mis-configured; the package itself looks fine, it's just the .sig file that's messed up. The .sig file is
(normally) created by librerelease. It seems that his GPGKEY is mis-configured (it accepts GPGKEY from the environment or from makepkg.conf,
giving preference to the environment).

#4 - 2018-05-03 09:09 AM - oaken-source

| have no idea what might have happened there - I'm rebuilding the package and see if that fixes it.

#5 - 2018-05-03 10:39 AM - oaken-source

package rebuilt and released - could someone on i686 please verify that this fixes the issue?

#6 - 2018-05-06 01:20 AM - Anonymous

Any news?

#7 - 2018-05-06 11:52 AM - bill-auger

leoperezpulido - the message above says that oaken-source rebuilt the package 2 days ago and wants you to try the new version

#8 - 2018-05-07 12:24 AM - Anonymous

Fresh installation again (remember this is a virtual machine):
After everything installs ok,

1. arch-chroot, locale, timezone, hwclock, passwd, etc...

2. pacman -Syu

:: File /var/cache/pacman/pkg/linux-libre-api-headers-4.16.1_gnu-1-i686.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature))
Delete it [Y/n] n

error: failed to commit transaction (invalid or corrupted package)

Errors ocurred, no package were upgraded

Delete it [Y/n] y

error: failed to commit transaction (invalid or corrupted package)

Errors ocurred, no package were upgraded

Ah, and by the way: someone != leoperezpulido.

#9 - 2018-05-07 10:22 AM - oaken-source

@leoperezpulido - please retry updating the keyring in the vm before upgrading. | just manually verified the package signature is okay.
#10 - 2018-05-07 02:29 PM - Anonymous

New installation again:

1...

2. pacman -Sy parabola-keyring

3. pacstrap /mnt base base-devel

4. arch-chroot, locale, timezone, hwclock, passwd, etc...

update the known keys before upgrade

5. pacman-key --refresh-keys

6. pacman -Syu

7. :: File /var/cache/pacman/pkg/linux-libre-api-headers-4.16.1_gnu-1-i686.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature))
8. pacman -Sy archlinux-keyring && pacman -Su

9. ...linux-libre-api-headers-4.16.1_gnu-1-i686.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature))
10. find /var/cache/pacman/pkg/ -iname "*.part" -exec rm {} \;

11 ..HERE AFTER find/rm COMMAND IT GETS INTERESTING, ALL PACKAGES GET CORRUPTED...

12. rm -r /etc/pacman.d/gnupg

13. pacman-key --init

14. ...error:...

15. packman -Sy parabola-keyring

16. pacman-key --populate archlinux

17. Nothing to do, same error: ALL PACKAGES CORRUPTED, do you want to delete it messages.

#11 - 2018-05-07 05:05 PM - bill-auger
leoperezpulido

try resetting the keyring as described in section #1 of this wiki article https://wiki.parabola.nu/Parabola_Keyring - run the command in the exact order
as printed there

it would be much better to see the actual output printed to your screen - something like "14. ...error:..." is not helpful

#12 - 2018-05-07 10:49 PM - Anonymous

Yes, that was the missing information. Now the system upgrades graciously.
Here is the whole process, just in case:

parted /dev/sda

mklabel msdos

mkpart primary ext3 1MiB 100%

set 1 boot on

quit

mkfs.ext4 /dev/sdal

mount /dev/sdal /mnt

pacstrap /mnt base base-devel

genfstab -U -p /mnt >> /mnt/etc/fstab

nano /mnt/etc/fstab

arch-chroot /mnt /bin/bash

nano /etc/locale.gen

locale—gen

echo LANG=en_US.UTF-8 > /etc/locale.conf
export LANG=en_US.UTF-8

In -sf /usr/share/zoneinfo/America/Caracas /etc/localtime
hwclock —--show

hwclock —--hctosys

passwd

# to install grub you need to update keyring
sudo pacman -Scc

sudo pacman -Syy archlinux-keyring archlinux32-keyring archlinuxarm-keyring parabola-keyring

sudo pacman-key --init
sudo pacman-key --populate archlinux archlinux32 archlinuxarm parabola
sudo pacman-key —-refresh-keys

pacman -S grub os-prober

grub-install --target=1386-pc —-recheck /dev/sda
grub-mkconfig -o /boot/grub/grub.cfg

exit

reboot

ip link show dev enpOs3

ip link set enp0s3 up

ip link show dev enpOs3

dhcpcd

systemctl enable dhcpcd@enpOs3.service
ping 1.1.1.1

ping gnu.org

pacman -Syu
# 0S upgraded, thank you!

#13 - 2018-05-07 10:54 PM - ovruni

- Status changed from open to fixed
